| Qore Logger Module Reference 0.2

Public Member Functions | List of all members
Logger::LoggerAppenderStdErr Class Reference

Implements appender writing to a stderr file. More...

Inheritance diagram for Logger::LoggerAppenderStdErr:
[legend]

## Public Member Functions
| constructor (*string name, LoggerLayout layout)
| Creates the object. More...
| processEventImpl (int type, auto params)
| Processes log events with the file and ignores all other events including open, close. More...
Public Member Functions inherited from Logger::LoggerAppenderWithLayout
| constructor (*string name, LoggerLayout layout)
| Creates the object. More...
LoggerLayout | getLayout ()
| Returns the layout for the appender.
| setLayout (LoggerLayout layout)
| Assigns a layout to the appender. More...
Public Member Functions inherited from Logger::LoggerAppender
| addFilter (LoggerFilter filter, bool top=False)
| Adds a filter to the chain. More...
| close ()
| Releases any resources allocated by the appender and closes it.
| constructor (*string name)
| Creates the object. More...
list< LoggerFilter > | getFilters ()
| Returns the filter chain as a list. More...
string | getName ()
| Returns the appender name.
*LoggerAppenderQueue | getQueue ()
| Returns async queue or NOTHING when events are processed synchronously.
bool | isOpen ()
| Returns True if the appender is open and therefore active.
| open ()
| Opens logging resources. More...
bool | post (LoggerEvent event)
| Posts the given event to the output queue. More...
| removeAllFilters ()
| Clears the filter chain by removing all filters.
| removeFilter (LoggerFilter filter)
| Removes the given filter from the filter chain. More...
| setQueue (*LoggerAppenderQueue queue)
| Sets the appender queue. More...

## Additional Inherited Members
Public Attributes inherited from Logger::LoggerAppender
const | EVENT_CLOSE = 3
| close event
const | EVENT_LOG = 2
| logging event
const | EVENT_OPEN = 1
| open event
Protected Member Functions inherited from Logger::LoggerAppenderWithLayout
auto | serializeImpl (LoggerEvent event)
| Returns the value formatted using the layout pattern. More...
Protected Member Functions inherited from Logger::LoggerAppender
bool | pushEvent (int type, auto params)
| Pushes the given event on the queue or calls processEventImpl() in case of synchronous processing. More...

## Detailed Description

Implements appender writing to a stderr file.

No multi-threading protection is implemented in the class; the stderr instance is reused. Unavailable when Qore::PO_NO_TERMINAL_IO parse option is applied.

## Member Function Documentation

## ◆ constructor()

Logger::LoggerAppenderStdErr::constructor | ( | *string | name,
|  | LoggerLayout | layout
| ) |  |

Creates the object.

Parameters

  name | the name of the appender
  layout | the layout for the appender

## ◆ processEventImpl()

Logger::LoggerAppenderStdErr::processEventImpl | ( | int | type,
|  | auto | params
| ) |  |
| virtual

Processes log events with the file and ignores all other events including open, close.

Parameters

  type | the event type
  params | parameters for the event

Implements Logger::LoggerAppender.